---
title: '::-webkit-meter-inner-element'
slug: 'Web/CSS/::-webkit-meter-inner-element'
tags:
  - '-webkit-meter-inner-element'
  - CSS
  - Non-standard
  - Pseudo-element
  - Reference
  - Selector
---
<div>{{CSSRef}}{{Non-standard_header}}</div>

<p><strong><code>::-webkit-meter-inner-element</code></strong> is a proprietary WebKit CSS pseudo-element for selecting and applying styles to the outer containing element of a {{htmlelement("meter")}} element. Additional markup to render the meter element as read-only.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">::-webkit-meter-inner-element</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Examples">Examples</h2>

<p>This will only work in WebKit and Blink-based browsers, such as Safari, Chrome, and Chromium-based versions of Edge.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;meter min="0" max="10" value="6"&gt;Score out of 10&lt;/meter&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">meter {
  /* Reset the default appearance */
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

meter::-webkit-meter-inner-element {
  -webkit-appearance: inherit;
  box-sizing: inherit;
  border: 1px solid #aaa;
}</pre>

<h3 id="Result">Result</h3>

<p>{{ EmbedLiveSample('Examples') }}</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.-webkit-meter-inner-element")}}</p>

<h2 id="See_also">See also</h2>

<p>The pseudo-elements used by WebKit/Blink to style other parts of a {{htmlelement("meter")}} element are as follows:</p>

<ul>
 <li>{{cssxref("::-webkit-meter-bar")}}</li>
 <li>{{cssxref("::-webkit-meter-even-less-good-value")}}</li>
 <li>{{cssxref("::-webkit-meter-optimum-value")}}</li>
 <li>{{cssxref("::-webkit-meter-suboptimum-value")}}</li>
</ul>
